Create User Schema

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Creates the given user schema. If the upsert query param is set to true then, instead of performing a create, the API will switch to performing an upsert. For an upsert request, the following fields are required:

Required Upsert Fields:

  • ownerType
  • ownerId

When performing an upsert, the above fields will be used to determine whether the user schema already exists. If the user schema already exists, a partial update will be performed; otherwise, a new user schema will be created.

In the response of an upsert request, if a create was performed, then a 201 response code will be returned; otherwise, if an update was performed, then a 200 will be returned.

Required Permissions

Below is the list of required permissions needed to interact with this API. For each permission, the allowed permission boundaries are also specified.

PermissionBoundaryDescription
user-schema:writeApplicationThe subject can create user schemas within the application to which the subject belongs.
TenantThe subject can create user schemas associated with the tenant to which the subject belongs.
Tenant Inclusion ListThe subject can create user schemas for tenants specified in the tenant inclusion list.
Tenant Exclusion ListThe subject can create user schemas for tenants in the subject's application that are not on the tenant exclusion list.
Query Params
boolean
Defaults to false

Boolean indicating if the operation should be treated as an upsert

Body Params

The user schema that will be created or upserted.

User Schema

string
enum
required
length between 1 and 30

[Required on Create and Upsert] The type of the owner of the resource.

Allowed:
string
required
length between 1 and 26

[Required on Create and Upsert] The ID of the owner of the resource.

baseProfile
object

Data type belonging to a schema

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json